Page MenuHomePhabricator

Disable xdebug on Tool Labs
Closed, DeclinedPublic

Description

Xdebug on Tool Labs is slowing down web requests, and cannot be disabled without installing a complete other web server for a specific tool and running it on webgrid-generic.

Event Timeline

tom29739 created this task.Jun 6 2016, 8:07 PM
Restricted Application added a project: Cloud-Services. · View Herald TranscriptJun 6 2016, 8:07 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript

As I mentioned on IRC:

  • Have you measured that it's xdebug that causes the slowdown?
  • you can override php.ini using .user.ini
  • you can override the full lighttpd configuration if that is insufficient

See https://wikitech.wikimedia.org/wiki/Help:Tool_Labs/Web for more details.

Legoktm added a subscriber: Legoktm.Jun 6 2016, 9:53 PM

FWIW I think it's well known that xdebug does slow down requests and isn't intended for production environments (e.g. https://getcomposer.org/doc/articles/troubleshooting.md#xdebug-impact-on-composer)

As I mentioned on IRC:

  • Have you measured that it's xdebug that causes the slowdown?
  • you can override php.ini using .user.ini
  • you can override the full lighttpd configuration if that is insufficient

See https://wikitech.wikimedia.org/wiki/Help:Tool_Labs/Web for more details.

I'm going to claim this task and attempt to provide evidence that xdebug is giving problems. If I do, I'll comment then remove myself from assignment. If not, I'll close this task.

Matthewrbowker removed Matthewrbowker as the assignee of this task.Jun 17 2016, 4:13 PM

Tom did some testing in my stead, I'm going to unassign as there's no more testing I can do. @tom29739 would you like to give your observations?

tom29739 claimed this task.Jun 17 2016, 4:26 PM

I discovered that NFS was a huge slowdown of all webservices, and that running a webservice in /tmp, I copied the files to the bastion /tmp and made a symlink, and it worked (strangely, lighttpd could access the bastion's /tmp, because there wasn't anything in the webserver host's /tmp when I checked).
Although NFS did slow down the webservice hugely, other factors (like xdebug) are still affecting the webservice. I'm going to assign myself this task and do some more testing to find out whether xdebug (and maybe other factors) make a difference in the speed of the webservice.

chasemp triaged this task as Normal priority.Jun 21 2016, 1:34 PM

That project is no longer needed.

scfc added a subscriber: scfc.Dec 4 2016, 8:26 PM

@tom29739, are you still planning to run your tests?

@scfc: I ran the tests and reported back in T137146#2388908. I found that while xdebug slowed down the requests by a small amount, it was NFS that slowed down the requests the most.

Legoktm changed the status of subtask T138097: Create new labs project tools-xdebug-testing from Resolved to Declined.Dec 4 2016, 10:45 PM
scfc closed this task as Declined.Dec 5 2016, 12:44 AM

Thanks. In that case, as there is no significant advantage in disabling xdebug and currently it is enabled (T72313), I'm opting to keeping the status quo.